# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLLayerElement Class Reference

Layer container for Netscape 4.x compatability. More...

`#include <html_block.h>`

Inheritance diagram for DOM::HTMLLayerElement:

[legend]
Collaboration diagram for DOM::HTMLLayerElement:

[legend]
List of all members.

## Public Member Functions

| HTMLLayerElement (const HTMLLayerElement &other)
| HTMLLayerElement (const Node &other)
HTMLLayerElement & | operator= (const HTMLLayerElement &other)
HTMLLayerElement & | operator= (const Node &other)
long | top () const
void | setTop (long)
long | left () const
void | setLeft (long)
DOMString | visibility () const
void | setVisibility (const DOMString &)
DOMString | bgColor () const
void | setBgColor (const DOMString &)
HTMLCollection | layers () const

## Protected Member Functions

| HTMLLayerElement (HTMLLayerElementImpl *impl)

## Detailed Description

Layer container for Netscape 4.x compatability.

Behaves mostly like absolute positioned DIV-blocks.

Definition at line 337 of file html_block.h.

## Member Function Documentation

long HTMLLayerElement::top | ( |  | ) | const

| The absolute position of the layer from the top. Definition at line 383 of file html_block.cpp. References DOM::DOMString::toInt().

void HTMLLayerElement::setTop | ( | long |  | ) |

| see top Definition at line 390 of file html_block.cpp. References QString::sprintf().

long HTMLLayerElement::left | ( |  | ) | const

| The absolute position of the layer from the left. Definition at line 400 of file html_block.cpp. References DOM::DOMString::toInt().

void HTMLLayerElement::setLeft | ( | long |  | ) |

| see left Definition at line 407 of file html_block.cpp. References QString::sprintf().

DOMString HTMLLayerElement::visibility | ( |  | ) | const

| The visibility of layers is either "show" or "hide". Definition at line 417 of file html_block.cpp.

void HTMLLayerElement::setVisibility | ( | const DOMString & |  | ) |

| see visibility Definition at line 423 of file html_block.cpp.

DOMString HTMLLayerElement::bgColor | ( |  | ) | const

| The background color of the layer. Definition at line 428 of file html_block.cpp.

void HTMLLayerElement::setBgColor | ( | const DOMString & |  | ) |

| see bgColor Definition at line 434 of file html_block.cpp.

HTMLCollection HTMLLayerElement::layers | ( |  | ) | const

| The collection of sub-layers. Definition at line 439 of file html_block.cpp.

The documentation for this class was generated from the following files:

- html_block.h
- html_block.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:02 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003